Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.infohazard.maverick.ctl
Class ThrowawayFormBeanUser  view ThrowawayFormBeanUser download ThrowawayFormBeanUser.java

java.lang.Object
  extended byorg.infohazard.maverick.ctl.Throwaway2
      extended byorg.infohazard.maverick.ctl.ThrowawayFormBeanUser
All Implemented Interfaces:
org.infohazard.maverick.flow.Controller

public abstract class ThrowawayFormBeanUser
extends Throwaway2

This is a hybrid between Throwaway and FormBeanUser - the controller is instantiated like a Throwaway, but allows a form bean to be populated instead.


Field Summary
private  java.lang.Object formBean
          The form bean gets set here
 
Fields inherited from class org.infohazard.maverick.ctl.Throwaway2
ERROR, SUCCESS
 
Constructor Summary
ThrowawayFormBeanUser()
           
 
Method Summary
protected  java.lang.Object getForm()
           
 java.lang.String go()
          Executes this controller.
protected  java.lang.Object makeFormBean()
          This method will be called to produce a simple bean whose properties will be populated with the http request parameters.
protected  java.lang.String perform()
          This method can be overriden to perform application logic.
 
Methods inherited from class org.infohazard.maverick.ctl.Throwaway2
getCtx, go
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

formBean

private java.lang.Object formBean
The form bean gets set here

Constructor Detail

ThrowawayFormBeanUser

public ThrowawayFormBeanUser()
Method Detail

getForm

protected java.lang.Object getForm()

go

public final java.lang.String go()
                          throws java.lang.Exception
Executes this controller. Override the perform() method to provide application logic.

Specified by:
go in class Throwaway2

perform

protected java.lang.String perform()
                            throws java.lang.Exception
This method can be overriden to perform application logic. Override this method if you want the model to be something other than the formBean itself. Use getForm to retrieve the bean created by makeFormBean(), which has been populated with the http request parameters.


makeFormBean

protected java.lang.Object makeFormBean()
This method will be called to produce a simple bean whose properties will be populated with the http request parameters. The parameters are useful for doing things like persisting beans across requests. Default is to return this.